summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author zux <zux@pie-dabas.net>2022-05-04 13:15:22 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-05-07 13:59:34 +0700
commitdcd58a1254135a850593cbf457abfa30914f0bb3 (patch)
treeccb89124f70253a4d930561ffff976c50da53595
parent2b4b99f7f50365d7e896797f3b710206d3985ca4 (diff)
downloadslackbuilds-dcd58a1254135a850593cbf457abfa30914f0bb3.tar.gz
slackbuilds-dcd58a1254135a850593cbf457abfa30914f0bb3.tar.xz
network/zabbix_frontend: Added (distributed monitoring solution)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/zabbix_frontend/README10
-rw-r--r--network/zabbix_frontend/README.SLACKWARE41
-rw-r--r--network/zabbix_frontend/apache.conf58
-rw-r--r--network/zabbix_frontend/doinst.sh25
-rw-r--r--network/zabbix_frontend/slack-desc19
-rw-r--r--network/zabbix_frontend/zabbix_frontend.SlackBuild101
-rw-r--r--network/zabbix_frontend/zabbix_frontend.info10
7 files changed, 264 insertions, 0 deletions
diff --git a/network/zabbix_frontend/README b/network/zabbix_frontend/README
new file mode 100644
index 0000000000..ee888a2951
--- /dev/null
+++ b/network/zabbix_frontend/README
@@ -0,0 +1,10 @@
+Zabbix offers advanced monitoring, alerting and visualization
+features, including distributed monitoring, auto-discovery,
+notifications, etcetera.
+
+Frontend component is now provided as an individual package
+as it can be installed on a seperate host.
+
+For some important post-build and basic configuration instructions,
+see the included README.SLACKWARE file.
+
diff --git a/network/zabbix_frontend/README.SLACKWARE b/network/zabbix_frontend/README.SLACKWARE
new file mode 100644
index 0000000000..1f09f0fea6
--- /dev/null
+++ b/network/zabbix_frontend/README.SLACKWARE
@@ -0,0 +1,41 @@
+README.Slackware
+================
+
+This file contains some specific instructions to complete the
+installation of zabbix_frontend on Slackware.
+
+
+You will need to have a working installation of httpd for zabbix_frontend
+to run. Frontend does not have to be on the same box as
+zabbix_server, but they need to be able to communicate.
+
+
+Very complete documentation is available online at:
+ https://www.zabbix.com/documentation/
+
+
+1) Configuring apache
+----------------------------
+
+Edit /etc/httpd/httpd.conf and enable mod_php by uncommenting this line:
+
+ Include /etc/httpd/mod_php.conf
+
+And bellow it add this line:
+
+ Include /etc/httpd/extra/zabbix.conf
+
+And also replace this line:
+ <IfModule dir_module>
+ DirectoryIndex index.html
+ </IfModule>
+
+with this:
+
+ <IfModule dir_module>
+ DirectoryIndex index.html index.php
+ </IfModule>
+
+
+Now your Zabbix frontend should be available at address http://<YOUR IP>/zabbix
+There you can finish the setup wizard
diff --git a/network/zabbix_frontend/apache.conf b/network/zabbix_frontend/apache.conf
new file mode 100644
index 0000000000..e3dda4608c
--- /dev/null
+++ b/network/zabbix_frontend/apache.conf
@@ -0,0 +1,58 @@
+# Define /zabbix alias, this is the default
+<IfModule mod_alias.c>
+ Alias /zabbix /usr/share/zabbix
+</IfModule>
+
+
+<Directory "/usr/share/zabbix">
+ Options FollowSymLinks
+ AllowOverride None
+ Require all granted
+
+ <IfModule mod_php7.c>
+ php_value max_execution_time 300
+ php_value memory_limit 128M
+ php_value post_max_size 16M
+ php_value upload_max_filesize 2M
+ php_value max_input_time 300
+ php_value max_input_vars 10000
+ php_value always_populate_raw_post_data -1
+ # php_value date.timezone Europe/Riga
+ </IfModule>
+</Directory>
+
+<Directory "/usr/share/zabbix/conf">
+ Require all denied
+ <files *.php>
+ Require all denied
+ </files>
+</Directory>
+
+<Directory "/usr/share/zabbix/app">
+ Require all denied
+ <files *.php>
+ Require all denied
+ </files>
+</Directory>
+
+<Directory "/usr/share/zabbix/include">
+ Require all denied
+ <files *.php>
+ Require all denied
+ </files>
+</Directory>
+
+<Directory "/usr/share/zabbix/local">
+ Require all denied
+ <files *.php>
+ Require all denied
+ </files>
+</Directory>
+
+<Directory "/usr/share/zabbix/vendor">
+ Require all denied
+ <files *.php>
+ Require all denied
+ </files>
+</Directory>
+
diff --git a/network/zabbix_frontend/doinst.sh b/network/zabbix_frontend/doinst.sh
new file mode 100644
index 0000000000..95cf3f096e
--- /dev/null
+++ b/network/zabbix_frontend/doinst.sh
@@ -0,0 +1,25 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+config etc/httpd/extra/zabbix.conf.new
diff --git a/network/zabbix_frontend/slack-desc b/network/zabbix_frontend/slack-desc
new file mode 100644
index 0000000000..a86c0f5b7a
--- /dev/null
+++ b/network/zabbix_frontend/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zabbix_frontend: zabbix_frontend (enterprise-class distributed monitoring solution)
+zabbix_frontend:
+zabbix_frontend: Zabbix offers advanced monitoring, alerting and visualization
+zabbix_frontend: features, including distributed monitoring, auto-discovery,
+zabbix_frontend: notifications etc.
+zabbix_frontend:
+zabbix_frontend: This package contains the frontend component of Zabbix
+zabbix_frontend:
+zabbix_frontend:
+zabbix_frontend: https://www.zabbix.com/
+zabbix_frontend:
diff --git a/network/zabbix_frontend/zabbix_frontend.SlackBuild b/network/zabbix_frontend/zabbix_frontend.SlackBuild
new file mode 100644
index 0000000000..ab6d9b8f39
--- /dev/null
+++ b/network/zabbix_frontend/zabbix_frontend.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/bash
+
+# Slackware build script for zabbix_server
+
+# Copyright 2013-2014 Michal Bialozor, Gdansk, Pomorskie, POLAND
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=zabbix_frontend
+VERSION=${VERSION:-6.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+
+ARCH="noarch"
+
+PRGSHORT=zabbix
+
+DOCROOT=${DOCROOT:-/usr/share/zabbix/}
+PHPUSER=${PHPUSER:-root}
+PHPGROUP=${PHPGROUP:-apache}
+
+ZABBIXUSER=${ZABBIXUSER:-zabbix}
+ZABBIXGROUP=${ZABBIXGROUP:-zabbix}
+ZABBIXUID=${ZABBIXUID:-228}
+ZABBIXGID=${ZABBIXGID:-228}
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGSHORT-$VERSION
+tar xvf $CWD/$PRGSHORT-$VERSION.tar.gz
+cd $PRGSHORT-$VERSION
+chown -R root:root .
+
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+
+# Install "frontend" to $DOCROOT/
+mkdir -p $PKG/$DOCROOT/
+cp -a ui/* $PKG/$DOCROOT/
+chown -R $PHPUSER:$PHPGROUP $PKG/$DOCROOT
+
+
+
+#install apache conf
+echo $CWD
+mkdir -p $PKG/etc/httpd/extra/
+cp $CWD/apache.conf $PKG/etc/httpd/extra/zabbix.conf.new
+
+# Documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+
+# Installation scripts
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/zabbix_frontend/zabbix_frontend.info b/network/zabbix_frontend/zabbix_frontend.info
new file mode 100644
index 0000000000..1312ccb3ad
--- /dev/null
+++ b/network/zabbix_frontend/zabbix_frontend.info
@@ -0,0 +1,10 @@
+PRGNAM="zabbix_frontend"
+VERSION="6.0.3"
+HOMEPAGE="https://www.zabbix.com"
+DOWNLOAD="https://cdn.zabbix.com/zabbix/sources/stable/6.0/zabbix-6.0.3.tar.gz"
+MD5SUM="9b2bf6fd0996fe5593d8be63f8a548a1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="zux"
+EMAIL="zux@pie-dabas.net"